Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network51.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
51.0.0.0
Broadcast address
51.63.255.255
First usable
51.0.0.1
Last usable
51.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 33000000 · Integer 855638016 to 859832319
Reverse DNS zones
0.51.in-addr.arpa
1.51.in-addr.arpa
2.51.in-addr.arpa
3.51.in-addr.arpa
4.51.in-addr.arpa
5.51.in-addr.arpa
6.51.in-addr.arpa
7.51.in-addr.arpa
8.51.in-addr.arpa
9.51.in-addr.arpa
10.51.in-addr.arpa
11.51.in-addr.arpa
12.51.in-addr.arpa
13.51.in-addr.arpa
14.51.in-addr.arpa
15.51.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110011.00000000.00000000.0000000051.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00110011.00000000.00000000.0000000051.0.0.0
Broadcast00110011.00111111.11111111.1111111151.63.255.255
Split into smaller subnets/22

51.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
151.0.0.0/2251.0.0.1 to 51.0.3.25451.0.3.2551,022
251.0.4.0/2251.0.4.1 to 51.0.7.25451.0.7.2551,022
351.0.8.0/2251.0.8.1 to 51.0.11.25451.0.11.2551,022
451.0.12.0/2251.0.12.1 to 51.0.15.25451.0.15.2551,022
551.0.16.0/2251.0.16.1 to 51.0.19.25451.0.19.2551,022
651.0.20.0/2251.0.20.1 to 51.0.23.25451.0.23.2551,022
751.0.24.0/2251.0.24.1 to 51.0.27.25451.0.27.2551,022
851.0.28.0/2251.0.28.1 to 51.0.31.25451.0.31.2551,022
951.0.32.0/2251.0.32.1 to 51.0.35.25451.0.35.2551,022
1051.0.36.0/2251.0.36.1 to 51.0.39.25451.0.39.2551,022
1151.0.40.0/2251.0.40.1 to 51.0.43.25451.0.43.2551,022
1251.0.44.0/2251.0.44.1 to 51.0.47.25451.0.47.2551,022
1351.0.48.0/2251.0.48.1 to 51.0.51.25451.0.51.2551,022
1451.0.52.0/2251.0.52.1 to 51.0.55.25451.0.55.2551,022
1551.0.56.0/2251.0.56.1 to 51.0.59.25451.0.59.2551,022
1651.0.60.0/2251.0.60.1 to 51.0.63.25451.0.63.2551,022
1751.0.64.0/2251.0.64.1 to 51.0.67.25451.0.67.2551,022
1851.0.68.0/2251.0.68.1 to 51.0.71.25451.0.71.2551,022
1951.0.72.0/2251.0.72.1 to 51.0.75.25451.0.75.2551,022
2051.0.76.0/2251.0.76.1 to 51.0.79.25451.0.79.2551,022
2151.0.80.0/2251.0.80.1 to 51.0.83.25451.0.83.2551,022
2251.0.84.0/2251.0.84.1 to 51.0.87.25451.0.87.2551,022
2351.0.88.0/2251.0.88.1 to 51.0.91.25451.0.91.2551,022
2451.0.92.0/2251.0.92.1 to 51.0.95.25451.0.95.2551,022
2551.0.96.0/2251.0.96.1 to 51.0.99.25451.0.99.2551,022
2651.0.100.0/2251.0.100.1 to 51.0.103.25451.0.103.2551,022
2751.0.104.0/2251.0.104.1 to 51.0.107.25451.0.107.2551,022
2851.0.108.0/2251.0.108.1 to 51.0.111.25451.0.111.2551,022
2951.0.112.0/2251.0.112.1 to 51.0.115.25451.0.115.2551,022
3051.0.116.0/2251.0.116.1 to 51.0.119.25451.0.119.2551,022
3151.0.120.0/2251.0.120.1 to 51.0.123.25451.0.123.2551,022
3251.0.124.0/2251.0.124.1 to 51.0.127.25451.0.127.2551,022
3351.0.128.0/2251.0.128.1 to 51.0.131.25451.0.131.2551,022
3451.0.132.0/2251.0.132.1 to 51.0.135.25451.0.135.2551,022
3551.0.136.0/2251.0.136.1 to 51.0.139.25451.0.139.2551,022
3651.0.140.0/2251.0.140.1 to 51.0.143.25451.0.143.2551,022
3751.0.144.0/2251.0.144.1 to 51.0.147.25451.0.147.2551,022
3851.0.148.0/2251.0.148.1 to 51.0.151.25451.0.151.2551,022
3951.0.152.0/2251.0.152.1 to 51.0.155.25451.0.155.2551,022
4051.0.156.0/2251.0.156.1 to 51.0.159.25451.0.159.2551,022
4151.0.160.0/2251.0.160.1 to 51.0.163.25451.0.163.2551,022
4251.0.164.0/2251.0.164.1 to 51.0.167.25451.0.167.2551,022
4351.0.168.0/2251.0.168.1 to 51.0.171.25451.0.171.2551,022
4451.0.172.0/2251.0.172.1 to 51.0.175.25451.0.175.2551,022
4551.0.176.0/2251.0.176.1 to 51.0.179.25451.0.179.2551,022
4651.0.180.0/2251.0.180.1 to 51.0.183.25451.0.183.2551,022
4751.0.184.0/2251.0.184.1 to 51.0.187.25451.0.187.2551,022
4851.0.188.0/2251.0.188.1 to 51.0.191.25451.0.191.2551,022
4951.0.192.0/2251.0.192.1 to 51.0.195.25451.0.195.2551,022
5051.0.196.0/2251.0.196.1 to 51.0.199.25451.0.199.2551,022
5151.0.200.0/2251.0.200.1 to 51.0.203.25451.0.203.2551,022
5251.0.204.0/2251.0.204.1 to 51.0.207.25451.0.207.2551,022
5351.0.208.0/2251.0.208.1 to 51.0.211.25451.0.211.2551,022
5451.0.212.0/2251.0.212.1 to 51.0.215.25451.0.215.2551,022
5551.0.216.0/2251.0.216.1 to 51.0.219.25451.0.219.2551,022
5651.0.220.0/2251.0.220.1 to 51.0.223.25451.0.223.2551,022
5751.0.224.0/2251.0.224.1 to 51.0.227.25451.0.227.2551,022
5851.0.228.0/2251.0.228.1 to 51.0.231.25451.0.231.2551,022
5951.0.232.0/2251.0.232.1 to 51.0.235.25451.0.235.2551,022
6051.0.236.0/2251.0.236.1 to 51.0.239.25451.0.239.2551,022
6151.0.240.0/2251.0.240.1 to 51.0.243.25451.0.243.2551,022
6251.0.244.0/2251.0.244.1 to 51.0.247.25451.0.247.2551,022
6351.0.248.0/2251.0.248.1 to 51.0.251.25451.0.251.2551,022
6451.0.252.0/2251.0.252.1 to 51.0.255.25451.0.255.2551,022
6551.1.0.0/2251.1.0.1 to 51.1.3.25451.1.3.2551,022
6651.1.4.0/2251.1.4.1 to 51.1.7.25451.1.7.2551,022
6751.1.8.0/2251.1.8.1 to 51.1.11.25451.1.11.2551,022
6851.1.12.0/2251.1.12.1 to 51.1.15.25451.1.15.2551,022
6951.1.16.0/2251.1.16.1 to 51.1.19.25451.1.19.2551,022
7051.1.20.0/2251.1.20.1 to 51.1.23.25451.1.23.2551,022
7151.1.24.0/2251.1.24.1 to 51.1.27.25451.1.27.2551,022
7251.1.28.0/2251.1.28.1 to 51.1.31.25451.1.31.2551,022
7351.1.32.0/2251.1.32.1 to 51.1.35.25451.1.35.2551,022
7451.1.36.0/2251.1.36.1 to 51.1.39.25451.1.39.2551,022
7551.1.40.0/2251.1.40.1 to 51.1.43.25451.1.43.2551,022
7651.1.44.0/2251.1.44.1 to 51.1.47.25451.1.47.2551,022
7751.1.48.0/2251.1.48.1 to 51.1.51.25451.1.51.2551,022
7851.1.52.0/2251.1.52.1 to 51.1.55.25451.1.55.2551,022
7951.1.56.0/2251.1.56.1 to 51.1.59.25451.1.59.2551,022
8051.1.60.0/2251.1.60.1 to 51.1.63.25451.1.63.2551,022
8151.1.64.0/2251.1.64.1 to 51.1.67.25451.1.67.2551,022
8251.1.68.0/2251.1.68.1 to 51.1.71.25451.1.71.2551,022
8351.1.72.0/2251.1.72.1 to 51.1.75.25451.1.75.2551,022
8451.1.76.0/2251.1.76.1 to 51.1.79.25451.1.79.2551,022
8551.1.80.0/2251.1.80.1 to 51.1.83.25451.1.83.2551,022
8651.1.84.0/2251.1.84.1 to 51.1.87.25451.1.87.2551,022
8751.1.88.0/2251.1.88.1 to 51.1.91.25451.1.91.2551,022
8851.1.92.0/2251.1.92.1 to 51.1.95.25451.1.95.2551,022
8951.1.96.0/2251.1.96.1 to 51.1.99.25451.1.99.2551,022
9051.1.100.0/2251.1.100.1 to 51.1.103.25451.1.103.2551,022
9151.1.104.0/2251.1.104.1 to 51.1.107.25451.1.107.2551,022
9251.1.108.0/2251.1.108.1 to 51.1.111.25451.1.111.2551,022
9351.1.112.0/2251.1.112.1 to 51.1.115.25451.1.115.2551,022
9451.1.116.0/2251.1.116.1 to 51.1.119.25451.1.119.2551,022
9551.1.120.0/2251.1.120.1 to 51.1.123.25451.1.123.2551,022
9651.1.124.0/2251.1.124.1 to 51.1.127.25451.1.127.2551,022
9751.1.128.0/2251.1.128.1 to 51.1.131.25451.1.131.2551,022
9851.1.132.0/2251.1.132.1 to 51.1.135.25451.1.135.2551,022
9951.1.136.0/2251.1.136.1 to 51.1.139.25451.1.139.2551,022
10051.1.140.0/2251.1.140.1 to 51.1.143.25451.1.143.2551,022
10151.1.144.0/2251.1.144.1 to 51.1.147.25451.1.147.2551,022
10251.1.148.0/2251.1.148.1 to 51.1.151.25451.1.151.2551,022
10351.1.152.0/2251.1.152.1 to 51.1.155.25451.1.155.2551,022
10451.1.156.0/2251.1.156.1 to 51.1.159.25451.1.159.2551,022
10551.1.160.0/2251.1.160.1 to 51.1.163.25451.1.163.2551,022
10651.1.164.0/2251.1.164.1 to 51.1.167.25451.1.167.2551,022
10751.1.168.0/2251.1.168.1 to 51.1.171.25451.1.171.2551,022
10851.1.172.0/2251.1.172.1 to 51.1.175.25451.1.175.2551,022
10951.1.176.0/2251.1.176.1 to 51.1.179.25451.1.179.2551,022
11051.1.180.0/2251.1.180.1 to 51.1.183.25451.1.183.2551,022
11151.1.184.0/2251.1.184.1 to 51.1.187.25451.1.187.2551,022
11251.1.188.0/2251.1.188.1 to 51.1.191.25451.1.191.2551,022
11351.1.192.0/2251.1.192.1 to 51.1.195.25451.1.195.2551,022
11451.1.196.0/2251.1.196.1 to 51.1.199.25451.1.199.2551,022
11551.1.200.0/2251.1.200.1 to 51.1.203.25451.1.203.2551,022
11651.1.204.0/2251.1.204.1 to 51.1.207.25451.1.207.2551,022
11751.1.208.0/2251.1.208.1 to 51.1.211.25451.1.211.2551,022
11851.1.212.0/2251.1.212.1 to 51.1.215.25451.1.215.2551,022
11951.1.216.0/2251.1.216.1 to 51.1.219.25451.1.219.2551,022
12051.1.220.0/2251.1.220.1 to 51.1.223.25451.1.223.2551,022
12151.1.224.0/2251.1.224.1 to 51.1.227.25451.1.227.2551,022
12251.1.228.0/2251.1.228.1 to 51.1.231.25451.1.231.2551,022
12351.1.232.0/2251.1.232.1 to 51.1.235.25451.1.235.2551,022
12451.1.236.0/2251.1.236.1 to 51.1.239.25451.1.239.2551,022
12551.1.240.0/2251.1.240.1 to 51.1.243.25451.1.243.2551,022
12651.1.244.0/2251.1.244.1 to 51.1.247.25451.1.247.2551,022
12751.1.248.0/2251.1.248.1 to 51.1.251.25451.1.251.2551,022
12851.1.252.0/2251.1.252.1 to 51.1.255.25451.1.255.2551,022
12951.2.0.0/2251.2.0.1 to 51.2.3.25451.2.3.2551,022
13051.2.4.0/2251.2.4.1 to 51.2.7.25451.2.7.2551,022
13151.2.8.0/2251.2.8.1 to 51.2.11.25451.2.11.2551,022
13251.2.12.0/2251.2.12.1 to 51.2.15.25451.2.15.2551,022
13351.2.16.0/2251.2.16.1 to 51.2.19.25451.2.19.2551,022
13451.2.20.0/2251.2.20.1 to 51.2.23.25451.2.23.2551,022
13551.2.24.0/2251.2.24.1 to 51.2.27.25451.2.27.2551,022
13651.2.28.0/2251.2.28.1 to 51.2.31.25451.2.31.2551,022
13751.2.32.0/2251.2.32.1 to 51.2.35.25451.2.35.2551,022
13851.2.36.0/2251.2.36.1 to 51.2.39.25451.2.39.2551,022
13951.2.40.0/2251.2.40.1 to 51.2.43.25451.2.43.2551,022
14051.2.44.0/2251.2.44.1 to 51.2.47.25451.2.47.2551,022
14151.2.48.0/2251.2.48.1 to 51.2.51.25451.2.51.2551,022
14251.2.52.0/2251.2.52.1 to 51.2.55.25451.2.55.2551,022
14351.2.56.0/2251.2.56.1 to 51.2.59.25451.2.59.2551,022
14451.2.60.0/2251.2.60.1 to 51.2.63.25451.2.63.2551,022
14551.2.64.0/2251.2.64.1 to 51.2.67.25451.2.67.2551,022
14651.2.68.0/2251.2.68.1 to 51.2.71.25451.2.71.2551,022
14751.2.72.0/2251.2.72.1 to 51.2.75.25451.2.75.2551,022
14851.2.76.0/2251.2.76.1 to 51.2.79.25451.2.79.2551,022
14951.2.80.0/2251.2.80.1 to 51.2.83.25451.2.83.2551,022
15051.2.84.0/2251.2.84.1 to 51.2.87.25451.2.87.2551,022
15151.2.88.0/2251.2.88.1 to 51.2.91.25451.2.91.2551,022
15251.2.92.0/2251.2.92.1 to 51.2.95.25451.2.95.2551,022
15351.2.96.0/2251.2.96.1 to 51.2.99.25451.2.99.2551,022
15451.2.100.0/2251.2.100.1 to 51.2.103.25451.2.103.2551,022
15551.2.104.0/2251.2.104.1 to 51.2.107.25451.2.107.2551,022
15651.2.108.0/2251.2.108.1 to 51.2.111.25451.2.111.2551,022
15751.2.112.0/2251.2.112.1 to 51.2.115.25451.2.115.2551,022
15851.2.116.0/2251.2.116.1 to 51.2.119.25451.2.119.2551,022
15951.2.120.0/2251.2.120.1 to 51.2.123.25451.2.123.2551,022
16051.2.124.0/2251.2.124.1 to 51.2.127.25451.2.127.2551,022
16151.2.128.0/2251.2.128.1 to 51.2.131.25451.2.131.2551,022
16251.2.132.0/2251.2.132.1 to 51.2.135.25451.2.135.2551,022
16351.2.136.0/2251.2.136.1 to 51.2.139.25451.2.139.2551,022
16451.2.140.0/2251.2.140.1 to 51.2.143.25451.2.143.2551,022
16551.2.144.0/2251.2.144.1 to 51.2.147.25451.2.147.2551,022
16651.2.148.0/2251.2.148.1 to 51.2.151.25451.2.151.2551,022
16751.2.152.0/2251.2.152.1 to 51.2.155.25451.2.155.2551,022
16851.2.156.0/2251.2.156.1 to 51.2.159.25451.2.159.2551,022
16951.2.160.0/2251.2.160.1 to 51.2.163.25451.2.163.2551,022
17051.2.164.0/2251.2.164.1 to 51.2.167.25451.2.167.2551,022
17151.2.168.0/2251.2.168.1 to 51.2.171.25451.2.171.2551,022
17251.2.172.0/2251.2.172.1 to 51.2.175.25451.2.175.2551,022
17351.2.176.0/2251.2.176.1 to 51.2.179.25451.2.179.2551,022
17451.2.180.0/2251.2.180.1 to 51.2.183.25451.2.183.2551,022
17551.2.184.0/2251.2.184.1 to 51.2.187.25451.2.187.2551,022
17651.2.188.0/2251.2.188.1 to 51.2.191.25451.2.191.2551,022
17751.2.192.0/2251.2.192.1 to 51.2.195.25451.2.195.2551,022
17851.2.196.0/2251.2.196.1 to 51.2.199.25451.2.199.2551,022
17951.2.200.0/2251.2.200.1 to 51.2.203.25451.2.203.2551,022
18051.2.204.0/2251.2.204.1 to 51.2.207.25451.2.207.2551,022
18151.2.208.0/2251.2.208.1 to 51.2.211.25451.2.211.2551,022
18251.2.212.0/2251.2.212.1 to 51.2.215.25451.2.215.2551,022
18351.2.216.0/2251.2.216.1 to 51.2.219.25451.2.219.2551,022
18451.2.220.0/2251.2.220.1 to 51.2.223.25451.2.223.2551,022
18551.2.224.0/2251.2.224.1 to 51.2.227.25451.2.227.2551,022
18651.2.228.0/2251.2.228.1 to 51.2.231.25451.2.231.2551,022
18751.2.232.0/2251.2.232.1 to 51.2.235.25451.2.235.2551,022
18851.2.236.0/2251.2.236.1 to 51.2.239.25451.2.239.2551,022
18951.2.240.0/2251.2.240.1 to 51.2.243.25451.2.243.2551,022
19051.2.244.0/2251.2.244.1 to 51.2.247.25451.2.247.2551,022
19151.2.248.0/2251.2.248.1 to 51.2.251.25451.2.251.2551,022
19251.2.252.0/2251.2.252.1 to 51.2.255.25451.2.255.2551,022
19351.3.0.0/2251.3.0.1 to 51.3.3.25451.3.3.2551,022
19451.3.4.0/2251.3.4.1 to 51.3.7.25451.3.7.2551,022
19551.3.8.0/2251.3.8.1 to 51.3.11.25451.3.11.2551,022
19651.3.12.0/2251.3.12.1 to 51.3.15.25451.3.15.2551,022
19751.3.16.0/2251.3.16.1 to 51.3.19.25451.3.19.2551,022
19851.3.20.0/2251.3.20.1 to 51.3.23.25451.3.23.2551,022
19951.3.24.0/2251.3.24.1 to 51.3.27.25451.3.27.2551,022
20051.3.28.0/2251.3.28.1 to 51.3.31.25451.3.31.2551,022
20151.3.32.0/2251.3.32.1 to 51.3.35.25451.3.35.2551,022
20251.3.36.0/2251.3.36.1 to 51.3.39.25451.3.39.2551,022
20351.3.40.0/2251.3.40.1 to 51.3.43.25451.3.43.2551,022
20451.3.44.0/2251.3.44.1 to 51.3.47.25451.3.47.2551,022
20551.3.48.0/2251.3.48.1 to 51.3.51.25451.3.51.2551,022
20651.3.52.0/2251.3.52.1 to 51.3.55.25451.3.55.2551,022
20751.3.56.0/2251.3.56.1 to 51.3.59.25451.3.59.2551,022
20851.3.60.0/2251.3.60.1 to 51.3.63.25451.3.63.2551,022
20951.3.64.0/2251.3.64.1 to 51.3.67.25451.3.67.2551,022
21051.3.68.0/2251.3.68.1 to 51.3.71.25451.3.71.2551,022
21151.3.72.0/2251.3.72.1 to 51.3.75.25451.3.75.2551,022
21251.3.76.0/2251.3.76.1 to 51.3.79.25451.3.79.2551,022
21351.3.80.0/2251.3.80.1 to 51.3.83.25451.3.83.2551,022
21451.3.84.0/2251.3.84.1 to 51.3.87.25451.3.87.2551,022
21551.3.88.0/2251.3.88.1 to 51.3.91.25451.3.91.2551,022
21651.3.92.0/2251.3.92.1 to 51.3.95.25451.3.95.2551,022
21751.3.96.0/2251.3.96.1 to 51.3.99.25451.3.99.2551,022
21851.3.100.0/2251.3.100.1 to 51.3.103.25451.3.103.2551,022
21951.3.104.0/2251.3.104.1 to 51.3.107.25451.3.107.2551,022
22051.3.108.0/2251.3.108.1 to 51.3.111.25451.3.111.2551,022
22151.3.112.0/2251.3.112.1 to 51.3.115.25451.3.115.2551,022
22251.3.116.0/2251.3.116.1 to 51.3.119.25451.3.119.2551,022
22351.3.120.0/2251.3.120.1 to 51.3.123.25451.3.123.2551,022
22451.3.124.0/2251.3.124.1 to 51.3.127.25451.3.127.2551,022
22551.3.128.0/2251.3.128.1 to 51.3.131.25451.3.131.2551,022
22651.3.132.0/2251.3.132.1 to 51.3.135.25451.3.135.2551,022
22751.3.136.0/2251.3.136.1 to 51.3.139.25451.3.139.2551,022
22851.3.140.0/2251.3.140.1 to 51.3.143.25451.3.143.2551,022
22951.3.144.0/2251.3.144.1 to 51.3.147.25451.3.147.2551,022
23051.3.148.0/2251.3.148.1 to 51.3.151.25451.3.151.2551,022
23151.3.152.0/2251.3.152.1 to 51.3.155.25451.3.155.2551,022
23251.3.156.0/2251.3.156.1 to 51.3.159.25451.3.159.2551,022
23351.3.160.0/2251.3.160.1 to 51.3.163.25451.3.163.2551,022
23451.3.164.0/2251.3.164.1 to 51.3.167.25451.3.167.2551,022
23551.3.168.0/2251.3.168.1 to 51.3.171.25451.3.171.2551,022
23651.3.172.0/2251.3.172.1 to 51.3.175.25451.3.175.2551,022
23751.3.176.0/2251.3.176.1 to 51.3.179.25451.3.179.2551,022
23851.3.180.0/2251.3.180.1 to 51.3.183.25451.3.183.2551,022
23951.3.184.0/2251.3.184.1 to 51.3.187.25451.3.187.2551,022
24051.3.188.0/2251.3.188.1 to 51.3.191.25451.3.191.2551,022
24151.3.192.0/2251.3.192.1 to 51.3.195.25451.3.195.2551,022
24251.3.196.0/2251.3.196.1 to 51.3.199.25451.3.199.2551,022
24351.3.200.0/2251.3.200.1 to 51.3.203.25451.3.203.2551,022
24451.3.204.0/2251.3.204.1 to 51.3.207.25451.3.207.2551,022
24551.3.208.0/2251.3.208.1 to 51.3.211.25451.3.211.2551,022
24651.3.212.0/2251.3.212.1 to 51.3.215.25451.3.215.2551,022
24751.3.216.0/2251.3.216.1 to 51.3.219.25451.3.219.2551,022
24851.3.220.0/2251.3.220.1 to 51.3.223.25451.3.223.2551,022
24951.3.224.0/2251.3.224.1 to 51.3.227.25451.3.227.2551,022
25051.3.228.0/2251.3.228.1 to 51.3.231.25451.3.231.2551,022
25151.3.232.0/2251.3.232.1 to 51.3.235.25451.3.235.2551,022
25251.3.236.0/2251.3.236.1 to 51.3.239.25451.3.239.2551,022
25351.3.240.0/2251.3.240.1 to 51.3.243.25451.3.243.2551,022
25451.3.244.0/2251.3.244.1 to 51.3.247.25451.3.247.2551,022
25551.3.248.0/2251.3.248.1 to 51.3.251.25451.3.251.2551,022
25651.3.252.0/2251.3.252.1 to 51.3.255.25451.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses